## libtest-weaken-perl 3.022000

=== t/Makefile ===

.PHONY: all critic display

all:
	-(cd ..; prove -I../lib -Ilib t/*.t)

## libtest-weaken-perl 3.004000

=== debian/changelog ===
libtest-weaken-perl (3.004000-1) unstable; urgency=low

  * Initial Release. (Closes: #594764)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 29 Aug 2010 11:30:15 +0100

=== debian/control ===
Source: libtest-weaken-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/Test-Weaken/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libtest-weaken-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libtest-weaken-perl/

Package: libtest-weaken-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: Perl module to test that freed memory objects were actually freed
 A memory leak occurs when a Perl data structure is destroyed but some of the
 contents of that structure are not freed. Leaked memory is a useless
 overhead. Leaks can significantly impact system performance. They can also
 cause an application to abend due to lack of memory. In Perl, circular
 references are a common cause of memory leaks. Circular references are
 allowed in Perl, but data structures containing circular references will leak
 memory unless the programmer takes specific measures to prevent leaks.
 Preventive measures include weakening the references and arranging to break
 the reference cycle just before the structure is destroyed. When using
 circular references, it is easy to misdesign or misimplement a scheme for
 preventing memory leaks. Mistakes of this kind have been hard to detect in a
 test suite. Test::Weaken allows easy detection of unfreed Perl data and
 allows you to examine the unfreed data, even data that would usually have
 been made inaccessible.

## libtest-weaken-perl 3.008000

=== debian/changelog ===
libtest-weaken-perl (3.008000-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * New upstream release 3.006000

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release 3.008000.
  * debian/copyright: update years of upstream copyright, refresh license
    stanzas.
  * Switch to debhelper compatibility level 8.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Jan 2012 23:42:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libtest-weaken-perl
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>
-Standards-Version: 3.9.1
+Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>,
+ gregor herrmann <gregoa@debian.org>
+Standards-Version: 3.9.2
 Homepage: http://search.cpan.org/dist/Test-Weaken/
-Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libtest-weaken-perl/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libtest-weaken-perl/
+Vcs-Git: git://git.debian.org/pkg-perl/packages/libtest-weaken-perl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtest-weaken-perl.git
 
 Package: libtest-weaken-perl
 Architecture: all

## libtest-weaken-perl 3.014000

=== debian/changelog ===
libtest-weaken-perl (3.014000-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Update upstream copyright

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 05 Mar 2012 18:03:52 +0100

libtest-weaken-perl (3.010000-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 19 Feb 2012 20:05:08 +0100

## libtest-weaken-perl 3.018000

=== debian/changelog ===
libtest-weaken-perl (3.018000-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jun 2012 15:50:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>,
  gregor herrmann <gregoa@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://search.cpan.org/dist/Test-Weaken/
 Vcs-Git: git://git.debian.org/pkg-perl/packages/libtest-weaken-perl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtest-weaken-perl.git

## libtest-weaken-perl 3.022000

=== debian/changelog ===
libtest-weaken-perl (3.022000-2) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update Vcs-Browser URL to cgit web frontend
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team. Closes: #924997
  * Strip trailing slash from metacpan URLs.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/watch: use uscan version 4.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Debian Janitor ]
  * Set Testsuite header for perl package.

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2025 10:25:26 +0200

libtest-weaken-perl (3.022000-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 16:39:20 +0100

libtest-weaken-perl (3.022000-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Dec 2012 18:57:21 +0100

libtest-weaken-perl (3.020000-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 26 Jul 2012 12:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libtest-weaken-perl
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: gregor herrmann <gregoa@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>,
- gregor herrmann <gregoa@debian.org>
-Standards-Version: 3.9.3
-Homepage: http://search.cpan.org/dist/Test-Weaken/
-Vcs-Git: git://git.debian.org/pkg-perl/packages/libtest-weaken-perl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtest-weaken-perl.git
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtest-weaken-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtest-weaken-perl.git
+Homepage: https://metacpan.org/release/Test-Weaken
+Testsuite: autopkgtest-pkg-perl
 
 Package: libtest-weaken-perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends}
+Multi-Arch: foreign
 Description: Perl module to test that freed memory objects were actually freed
  A memory leak occurs when a Perl data structure is destroyed but some of the
  contents of that structure are not freed. Leaked memory is a useless

=== debian/watch ===
version=4
https://metacpan.org/release/Test-Weaken   .*/Test-Weaken-v?@ANY_VERSION@@ARCHIVE_EXT@$
